version: 26.7.4
files:
  - url: Trezor-Suite-26.7.4-linux-x86_64.AppImage
    sha512: Q+3yrsM5F9fPXTPy3bDGIX8t57eLJZZOaU/iHRvOoDD1CvC2fc+Dt6BezXeZiINjYxxdb0Wt0IT1phDdpmeDxg==
    size: 189858567
    blockMapSize: 197403
path: Trezor-Suite-26.7.4-linux-x86_64.AppImage
sha512: Q+3yrsM5F9fPXTPy3bDGIX8t57eLJZZOaU/iHRvOoDD1CvC2fc+Dt6BezXeZiINjYxxdb0Wt0IT1phDdpmeDxg==
releaseNotes: |
  ### 🚀 New features

  - Added support for Robinhood Chain network
  - Tron (TRX) staking is now available directly in Trezor Suite
  - Users can now cancel pending EVM transactions
  - Option added to view and edit nonce in the EVM send form
  - A new preview step has been added to the Buy flow
  - WalletConnect button added to the account menu for quick access to connected apps

  ### 🎨 Improvements

  - Account sorting updated across sidebar menu and transaction screens
  - Zero-balance and hidden tokens are now sorted alphabetically
  - Page navigation simplified in the trading section
  - Expanded clear signing coverage for 1inch and other trading flows
  - Clearer error messages now shown during Swap transaction failures
  - Visual fixes for the in-app user guide
  - Lower minimum fee rate of 0.2 sat/vB for Normal priority transactions
  - Improved permission handling in Trezor Connect and the Connect popup

  ### 🔧 Bug fixes

  - Fixed Stellar account discovery issues
  - Prevention of canceling or speeding up EVM transactions with a nonce gap
  - Hidden assets are excluded from token search results
  - Unification of Bitcoin Cash address prefix throughout Suite
  - Fixed incorrect network fees shown for 1inch Fusion swaps
  - Visual / UX improvements throughout the application
  - Resolved a keyboard shortcut conflict affecting account switching and dashboard navigation
  - Minor bugs have been resolved, along with general usability enhancements for a more reliable and seamless experience
releaseDate: '2026-08-03T14:27:40.296Z'
stagingPercentage: 20
